import { render } from "@testing-library/react";
import { Gauge } from "../";

describe("Gauge Conformance", () => {
  it("is valid HTML for default Gauge", () => {
    const { container } = render(<Gauge data-testid="test-id" />);
    expect(container).toHTMLValidate();
  });

  it("is valid HTML with children", () => {
    const { container } = render(
      <Gauge data-testid="test-id">
        <div>Value</div>
      </Gauge>,
    );
    expect(container).toHTMLValidate();
  });

  it("is valid HTML with percentage prop", () => {
    const { container } = render(
      <Gauge data-testid="test-id" percentage={70} />,
    );
    expect(container).toHTMLValidate();
  });
});
